From: "Craig Andrews" <candrews@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-p2p/transmission/
Date: Wed, 8 Feb 2023 15:14:51 +0000 (UTC) [thread overview]
Message-ID: <1675869242.0558383a35b85725fbd93f8fbae996c67604f1ff.candrews@gentoo> (raw)
commit: 0558383a35b85725fbd93f8fbae996c67604f1ff
Author: Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 8 14:59:47 2023 +0000
Commit: Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Wed Feb 8 15:14:02 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0558383a
net-p2p/transmission: add 4.0.0
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>
net-p2p/transmission/Manifest | 1 +
net-p2p/transmission/transmission-4.0.0.ebuild | 145 +++++++++++++++++++++++++
2 files changed, 146 insertions(+)
diff --git a/net-p2p/transmission/Manifest b/net-p2p/transmission/Manifest
index 3c6f1cfc43fb..83ba1b19d158 100644
--- a/net-p2p/transmission/Manifest
+++ b/net-p2p/transmission/Manifest
@@ -1,2 +1,3 @@
DIST transmission-3.00.tar.xz 3995080 BLAKE2B fb1be44aa630e6a1cf15511ab4ab40156edb16f9410b83058c53548f466fb9502c23157756a29e921e4468db1ebac7832b755cfcf98451c663c64401559f5498 SHA512 c8fb96086ba4b18f04d6181a29f6e2af85864840c533f3470a202dfa686e9431caeccd25f12c975a9a8f9b7802ca0bd73c4edc1ca06bdbada682326cad188a76
DIST transmission-4.0.0-beta.3+r634b1e8fc1.tar.xz 10124300 BLAKE2B 91ceeb136d7bf99c06c050c91dab02798a643020e6e48ebe1ea23ed5ddd5cdb62b30ecd4c20d650cec6ba309d065b819b23e72f001f4d79a9f6e7e9be785690d SHA512 b730dc91a2592821900f9102eda2722d1f87c8dc9d28c01910de0632010d917187be5c582acd98f7e98cc622ce491b2f82a633af692cb08b36c9ce45cc6bdd19
+DIST transmission-4.0.0.tar.xz 10351556 BLAKE2B d0bb13437da6e6b6a9001eed7e59ce3f7b58151787e9c1057b0c6bf65dfdeaf89c3aedee563f641f6d2d2bd3a84dafa3f68b557b190bd323928578e811fb0183 SHA512 79945af73fe7226dddadba7cc039516f2f878e05a9cf6c6d799b636b8298e2b2fa25c4426789bd41ef4d2b00d75a3c1c115c1676b4d2a9f09a1526456dceb3f8
diff --git a/net-p2p/transmission/transmission-4.0.0.ebuild b/net-p2p/transmission/transmission-4.0.0.ebuild
new file mode 100644
index 000000000000..6cc284b07f39
--- /dev/null
+++ b/net-p2p/transmission/transmission-4.0.0.ebuild
@@ -0,0 +1,145 @@
+# Copyright 2006-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake systemd xdg-utils
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/transmission/transmission"
+else
+ MY_PV="${PV/_beta/-beta.}"
+ MY_P="${PN}-${MY_PV}"
+ S="${WORKDIR}/${MY_P}"
+ SRC_URI="https://github.com/transmission/transmission/releases/download/${MY_PV}/${MY_P}.tar.xz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+fi
+
+DESCRIPTION="A fast, easy, and free BitTorrent client"
+HOMEPAGE="https://transmissionbt.com/"
+
+# web/LICENSE is always GPL-2 whereas COPYING allows either GPL-2 or GPL-3 for the rest
+# transmission in licenses/ is for mentioning OpenSSL linking exception
+# MIT is in several libtransmission/ headers
+LICENSE="|| ( GPL-2 GPL-3 Transmission-OpenSSL-exception ) GPL-2 MIT"
+SLOT="0"
+IUSE="appindicator cli gtk nls mbedtls qt5 systemd test"
+RESTRICT="!test? ( test )"
+
+ACCT_DEPEND="
+ acct-group/transmission
+ acct-user/transmission
+"
+BDEPEND="${ACCT_DEPEND}
+ virtual/pkgconfig
+ nls? (
+ gtk? ( sys-devel/gettext )
+ qt5? ( dev-qt/linguist-tools:5 )
+ )
+"
+COMMON_DEPEND="
+ >=dev-libs/libevent-2.1.0:=
+ !mbedtls? ( dev-libs/openssl:0= )
+ mbedtls? ( net-libs/mbedtls:0= )
+ net-libs/libnatpmp
+ >=net-libs/libpsl-0.21.1
+ >=net-libs/miniupnpc-1.7:=
+ >=net-misc/curl-7.28.0[ssl]
+ sys-libs/zlib:=
+ nls? ( virtual/libintl )
+ gtk? (
+ >=dev-cpp/gtkmm-3.24.0:3.0
+ >=dev-cpp/glibmm-2.60.0:2
+ appindicator? ( dev-libs/libayatana-indicator )
+ )
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtdbus:5
+ )
+ systemd? ( >=sys-apps/systemd-209:= )
+"
+DEPEND="${COMMON_DEPEND}
+ nls? ( virtual/libintl )
+"
+RDEPEND="${COMMON_DEPEND}
+ ${ACCT_DEPEND}
+"
+
+src_prepare() {
+ cmake_src_prepare
+ # https://github.com/transmission/transmission/issues/3901
+ rm -f libtransmission/version.h || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_INSTALL_DOCDIR=share/doc/${PF}
+
+ -DENABLE_GTK=$(usex gtk ON OFF)
+ -DENABLE_QT=$(usex qt5 ON OFF)
+ -DENABLE_MAC=OFF
+ -DENABLE_WEB=OFF
+ -DENABLE_CLI=$(usex cli ON OFF)
+ -DENABLE_TESTS=$(usex test ON OFF)
+ -DENABLE_NLS=$(usex nls ON OFF)
+
+ -DRUN_CLANG_TIDY=OFF
+
+ -DUSE_GTK_VERSION=3
+ -DUSE_SYSTEM_EVENT2=ON
+ -DUSE_SYSTEM_DEFLATE=OFF
+ -DUSE_SYSTEM_DHT=OFF
+ -DUSE_SYSTEM_MINIUPNPC=ON
+ -DUSE_SYSTEM_NATPMP=ON
+ -DUSE_SYSTEM_UTP=OFF
+ -DUSE_SYSTEM_B64=OFF
+ -DUSE_SYSTEM_PSL=ON
+ -DUSE_QT_VERSION=5
+
+ -DWITH_CRYPTO=$(usex mbedtls mbedtls openssl)
+ -DWITH_INOTIFY=ON
+ -DWITH_APPINDICATOR=$(usex appindicator ON OFF)
+ -DWITH_SYSTEMD=$(usex systemd ON OFF)
+ )
+
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+
+ newinitd "${FILESDIR}"/transmission-daemon.initd.10 transmission-daemon
+ newconfd "${FILESDIR}"/transmission-daemon.confd.4 transmission-daemon
+
+ if use systemd; then
+ # Service sets Type=notify
+ systemd_dounit daemon/transmission-daemon.service
+ systemd_install_serviced "${FILESDIR}"/transmission-daemon.service.conf
+ fi
+
+ insinto /usr/lib/sysctl.d
+ doins "${FILESDIR}"/60-transmission.conf
+
+ if [[ ${EUID} == 0 ]]; then
+ diropts -o transmission -g transmission
+ fi
+ keepdir /var/lib/transmission
+}
+
+pkg_postrm() {
+ if use gtk || use qt5; then
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ fi
+}
+
+pkg_postinst() {
+ if use gtk || use qt5; then
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ fi
+}
next reply other threads:[~2023-02-08 15:14 UTC|newest]
Thread overview: 133+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-02-08 15:14 Craig Andrews [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-11 19:26 [gentoo-commits] repo/gentoo:master commit in: net-p2p/transmission/ Andreas Sturmlechner
2024-10-06 0:28 Sam James
2024-10-05 21:47 Jakov Smolić
2024-10-05 21:47 Jakov Smolić
2024-09-02 18:38 Mike Gilbert
2024-09-02 18:34 Andreas Sturmlechner
2024-09-02 18:34 Andreas Sturmlechner
2024-08-13 20:45 Mike Gilbert
2024-08-13 17:24 Mike Gilbert
2024-08-13 17:24 Mike Gilbert
2024-08-04 3:16 Sam James
2024-08-03 22:51 Sam James
2024-08-03 16:48 Jakov Smolić
2024-08-03 16:48 Jakov Smolić
2024-06-10 20:15 Mike Gilbert
2024-05-30 16:26 Craig Andrews
2024-05-30 16:02 Craig Andrews
2024-05-22 19:24 Sam James
2024-05-22 19:24 Sam James
2024-05-19 15:57 Mike Gilbert
2024-04-24 19:08 Sam James
2024-04-24 19:08 Sam James
2023-12-21 7:51 Arthur Zamarin
2023-12-21 7:51 Arthur Zamarin
2023-12-07 17:21 Craig Andrews
2023-11-29 13:23 Arthur Zamarin
2023-11-27 23:45 Sam James
2023-08-28 20:06 Craig Andrews
2023-08-23 14:27 Mike Gilbert
2023-05-14 17:31 Sam James
2023-05-06 17:50 Mike Gilbert
2023-05-06 0:40 Matt Turner
2023-04-14 17:04 Craig Andrews
2023-04-14 17:04 Craig Andrews
2023-03-16 13:49 Craig Andrews
2023-03-12 3:33 Mike Gilbert
2023-03-03 17:20 Mike Gilbert
2023-03-02 20:51 Mike Gilbert
2023-03-01 1:44 Mike Gilbert
2023-02-23 18:33 Craig Andrews
2023-02-23 18:33 Craig Andrews
2023-02-23 15:04 Craig Andrews
2023-02-16 16:21 Mike Gilbert
2023-02-13 19:00 Mike Gilbert
2023-02-09 0:38 Mike Gilbert
2023-02-09 0:37 Mike Gilbert
2023-01-28 19:19 Mike Gilbert
2023-01-28 19:19 Mike Gilbert
2023-01-20 19:45 Mike Gilbert
2023-01-20 19:45 Mike Gilbert
2023-01-05 15:49 Craig Andrews
2022-12-04 19:40 Craig Andrews
2022-10-27 23:46 Sam James
2022-10-27 17:02 Mike Gilbert
2022-10-25 10:44 Sam James
2022-10-25 7:17 Agostino Sarubbo
2022-10-25 7:16 Agostino Sarubbo
2022-10-07 22:18 Mike Gilbert
2022-10-07 21:57 Mike Gilbert
2022-08-08 9:40 Andreas Sturmlechner
2022-06-13 17:49 Mike Gilbert
2022-06-13 17:49 Mike Gilbert
2022-05-17 20:20 Mike Gilbert
2022-05-17 20:18 Mike Gilbert
2022-05-17 20:18 Mike Gilbert
2022-05-17 20:18 Mike Gilbert
2022-04-08 22:51 Mike Gilbert
2022-04-04 11:11 Yixun Lan
2022-03-25 2:29 Sam James
2021-11-21 19:55 Mike Gilbert
2021-10-23 12:41 Conrad Kostecki
2021-10-21 20:37 Conrad Kostecki
2021-08-13 15:34 Mike Gilbert
2021-08-13 15:29 Mike Gilbert
2021-05-04 18:40 Mike Gilbert
2021-04-30 16:49 Mikle Kolyada
2020-06-07 8:44 Agostino Sarubbo
2020-06-06 20:14 Agostino Sarubbo
2020-06-06 17:34 Agostino Sarubbo
2020-06-06 17:32 Agostino Sarubbo
2020-05-26 16:00 Mike Gilbert
2020-05-26 15:58 Mike Gilbert
2020-05-26 15:51 Mike Gilbert
2020-05-23 14:15 Mike Gilbert
2020-05-01 17:57 Pacho Ramos
2020-04-20 19:51 Mike Gilbert
2019-11-13 15:20 Mike Gilbert
2019-09-02 19:16 Mike Gilbert
2019-09-02 18:45 Mike Gilbert
2019-08-05 16:38 Mike Gilbert
2018-08-20 14:30 Mike Gilbert
2018-08-05 20:15 Sergei Trofimovich
2018-07-15 17:07 Mikle Kolyada
2018-07-15 14:23 Thomas Deutschmann
2018-07-14 20:10 Sergei Trofimovich
2018-05-27 23:15 Mike Gilbert
2018-05-27 23:14 Mike Gilbert
2018-03-31 19:01 Mart Raudsepp
2018-03-28 22:24 Sergei Trofimovich
2018-03-20 8:00 Sergei Trofimovich
2018-03-11 13:49 Mike Gilbert
2018-03-11 10:00 Mikle Kolyada
2018-03-11 2:16 Thomas Deutschmann
2018-02-01 18:34 Mike Gilbert
2017-11-26 23:23 David Seifert
2017-01-26 20:40 Mike Gilbert
2017-01-26 20:40 Mike Gilbert
2017-01-03 1:49 Mike Gilbert
2016-12-25 10:23 Agostino Sarubbo
2016-12-22 8:57 Agostino Sarubbo
2016-12-21 21:20 Mike Gilbert
2016-12-18 18:45 Mike Gilbert
2016-12-18 17:57 Mike Gilbert
2016-12-09 21:56 Mike Gilbert
2016-12-01 23:48 Mike Gilbert
2016-11-27 8:48 Mike Gilbert
2016-10-23 15:08 Mike Gilbert
2016-10-07 19:16 Mike Gilbert
2016-08-06 10:17 Pacho Ramos
2016-04-23 18:06 Mike Gilbert
2016-03-27 1:32 Mike Gilbert
2016-03-16 23:51 Mike Gilbert
2016-03-08 2:18 Mike Gilbert
2015-12-31 20:00 Anthony G. Basile
2015-12-03 17:42 Mike Gilbert
2015-12-03 17:42 Mike Gilbert
2015-11-12 10:37 Agostino Sarubbo
2015-10-22 17:39 Mike Gilbert
2015-10-18 18:06 Mikle Kolyada
2015-10-09 6:01 Jeroen Roovers
2015-10-04 16:00 Mike Gilbert
2015-10-03 19:02 Mike Gilbert
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1675869242.0558383a35b85725fbd93f8fbae996c67604f1ff.candrews@gentoo \
--to=candrews@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox